Google Web Toolkit
Search Google Code:

# Class JField

public class JField
extends Object
implements HasMetaData
Represents a field declaration.

## Constructors

JField(JClassType, String) |

## Methods

addMetaData(String, String[]) | Adds additional metadata.
addModifierBits(int) |
getEnclosingType() |
getMetaData(String) | Gets each list of metadata for the specified tag name.
getMetaDataTags() | Gets the name of available metadata tags.
getName() |
getType() |
isDefaultAccess() |
isFinal() |
isPrivate() |
isProtected() |
isPublic() |
isStatic() |
isTransient() |
isVolatile() |
setType(JType) |
toString() |

## Constructor Detail

### JField

public JField(JClassType enclosingType, String name)

#### Parameters

enclosingType
name

## Method Detail

### addMetaData

public void addMetaData(String tagName, String[] values)
Adds additional metadata.

#### Parameters

tagName
values

### addModifierBits

public void addModifierBits(int modifierBits)

#### Parameters

modifierBits

### getEnclosingType

public JClassType getEnclosingType()

### getMetaData

public String[][] getMetaData(String tagName)
Gets each list of metadata for the specified tag name.

#### Parameters

tagName

### getMetaDataTags

public String[] getMetaDataTags()
Gets the name of available metadata tags.

### getName

public String getName()

### getType

public JType getType()

### isDefaultAccess

public boolean isDefaultAccess()

### isFinal

public boolean isFinal()

### isPrivate

public boolean isPrivate()

### isProtected

public boolean isProtected()

### isPublic

public boolean isPublic()

### isStatic

public boolean isStatic()

### isTransient

public boolean isTransient()

### isVolatile

public boolean isVolatile()

### setType

public void setType(JType type)

#### Parameters

type

### toString

public String toString()